image: node:11.10-stretch

before_script:
  - apt -qqy update && apt -qqy install pandoc git && rm -rf /var/lib/apt/lists/*

build:
  stage: build
  script:
  - git clone https://github.com/hakimel/reveal.js.git && mv reveal.js public && cd public
  - npm install
  - cp ../index.html ./index.html
  - cp ../slides.md ./slides.md
  - cp -r ../images ./images
  artifacts:
    name: "$CI_COMMIT_REF_NAME"
    expire_in: 7d
    paths:
      - public/
  
pages:
  stage: deploy
  dependencies:
    - build
  script:
    - echo "on-air"
  artifacts:
    paths:
      - public
  only:
    - master
